About Multiple Element Revenue Allocation

With Multiple Element Revenue Allocation (MERA), you can allocate revenue based on the fair value to follow accounting standards for revenue recognition. This functionality allows you to easily allocate revenue to items in a multiple element arrangement (MEA), as required by FASB and IFRS accounting standards.

With MERA, you can:

  • Assign default the fair value and methods to items
  • Calculate the fair value as a percentage of other items
  • Allocate revenue per item within an arrangement
  • Use more than one arrangement on single SOP
  • Automatically create Distributions per item on SOP

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of Multiple Element Revenue Allocation. For the most current information about the latest version, see the Readme file that is included with the installation file.

MERA for Microsoft Dynamics GP 18.3 and Newer

MERA for Microsoft Dynamics GP 18.2

MERA for Microsoft Dynamics GP 2018

MERA for Microsoft Dynamics GP 2016

MERA for Microsoft Dynamics GP 2015

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA for Microsoft Dynamics GP 18.3 and Newer

Review the information on this screen to see what's new or changed in the latest versions of Multiple Element Revenue Allocation. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Microsoft Dynamics GP 18.8

Closed Build 1401 - October 2025
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2018.7 (Build 1301) to GP2018.8 | N/A | N/A | N/A

Microsoft Dynamics GP 18.7

Closed Build 1301 - October 2024
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2018.6 (Build 1201) to GP2018.7 | N/A | N/A | N/A

Microsoft Dynamics GP 18.6

Closed Build 1201 - October 2023
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2018.5 (Build 1101) to GP 2018.6. | N/A | N/A | N/A

Microsoft Dynamics GP 18.5

Closed Build 1101 - November 2022
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2018.4 (Build 1001) to GP2018.5. |  |  |

Microsoft Dynamics GP 18.4

Closed Build 1001 - November 2021
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2018.3 (Build 902) to GP 2018.4 . |  |  |

Microsoft Dynamics GP 18.3

Closed Build 902 - May 2021
Description Navigation Path New Form/Report Database Changes
GP Series: System

The Revenue Allocation window can be accessed from the Sales Return Document.

Billing schedules that use the MERA functionality can be terminated from the ARCB Mass Termination window. When the billing schedule is terminated, the revenue allocation and distribution of the sales return document are updated.

Also, added the following fields:

  • MEA ID Maintenance (added Termination Contract Clearing Account)
  • Revenue Allocation (added Revenue Amount)
 Transactions > Sales > Sales Transaction Entry
Closed Build 901 - December 2020
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgrade from Microsoft Dynamics GP 2018.2 (Build 802) to Microsoft Dynamics GP 2018.3. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA for Microsoft Dynamics GP 18.2

Review the information on this screen to see what's new or changed in the latest versions of Multiple Element Revenue Allocation. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 803 - April 2021
Description Navigation Path New Form/Report Database Changes
GP Series: System

Updated the functionality for billing schedules that use revenue allocation:

  • The Revenue Allocation window can be accessed from the Sales Return Document.
  • Billing schedules that use revenue allocation can be terminated from the ARCBMass Termination Process window.
  • When a billing schedule that uses revenue allocation is terminated, the distribution of the return document is updated.
Transactions > Sales > Sales Transaction Entry
Closed Build 802 - March 2020
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Made compatible with ARCB 802 |  |  |
Closed Build 801 - December 2019
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgrade from Microsoft Dynamics GP 2018 R2 (Build 705) to Microsoft Dynamics GP 18.2. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA for Microsoft Dynamics GP 2018

Review the information on this screen to see what's new or changed in the latest versions of Multiple Element Revenue Allocation. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2018 R2

Closed Build 705 - October 2019
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with ARCB Autorenewal. Made compatible with ARCB build 710. |  |  |
Closed Build 704 - May 2019
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue distribution items reset to default values after changing when MEA type is NONE. |  |  |
Closed Build 703 - April 2019
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Compatible with ARCB build 705. |  |  |
Closed Build 702 - December 2018
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed issue: Item Fair Value method was displaying empty if import from CSV file on Item Fair Value Import window. |  |  |
Fix calculation of contract revenue and period revenue for an ARCB billing schedule when there is a line with zero unit price or when the unit price is changed manually on the billing detail. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA for Microsoft Dynamics GP 2016

Review the information on this screen to see what's new or changed in the latest versions of Multiple Element Revenue Allocation. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2016 SP0

Closed Build 608 - May 2019
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with manual SOP distribution changes being reverted when MEA Type is None. |  |  |
Closed Build 607 - April 2019
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Compatible with ARCB build 614. |  |  |
Closed Build 606 - December 2018
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fix calculation of contract revenue and period revenue for an ARCB billing schedule when there is a line with zero unit price or when the unit price is changed manually on the billing detail. |  |  |
Closed Build 605 - July 2017
  • Project
    • Added eConnect procedures.
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: Item Fair Value method was displaying empty if import from CSV file on Item Fair Value Import window. |  |  |
Closed Build 604 - October 2017
  • Project
    • Compatible with ARCB Build 607.
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Compatible with ARCB build 607. |  |  |
Closed Build 603 - May 2017
  • Project
    • Added functionality so that MERA is compatible with modifying an ARCB billing schedule and history of the billing schedule can be maintained on the ARCB Revenue Allocation window.
      Path:Adv. Recurring Contract Billing > Revenue Allocation > History
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: Revenue Allocation window auto scroll to bottom if modify middle row. |  |  |
Closed Build 602 - March 2017
  • Project
    • Added History and Accrued Amount to the Revenue Allocation window.
      Path: Adv. Recurring Contract Billing > Revenue Allocation>History
    • Synchronized MERA standalone functionality with ARCB - ASU 606.
Closed Build 601 - December 2016
  • Project
    • Upgraded from GP 2015 R2 (Build 503) to GP 2016 SP0 (Build 601).
    • Integrated with ARCB - ASU 606.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA for Microsoft Dynamics GP 2015

Review the information on this screen to see what's new or changed in the latest versions of Multiple Element Revenue Allocation. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2015 R2

Closed Build 504 - May 2018
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
ARED Integration compatibility |  |  |
Fixed issue: Item Fair Value method was displaying empty if import from CSV file on Item Fair Value Import window. |  |  |
Closed Build 503 - August 2015
  • Project
    • Upgraded for compatibility with GP 2015 R2.

GP 2015 SP0

Closed Build 502 - June 2015
  • Project
    • Added integration with ARCB.
Closed Build 501- May 2015
  • Project
    • Added integration with ARED.
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Beta release build 501 |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of Multiple Element Revenue Allocation.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Multiple Element Revenue Alloc, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Multiple Element Revenue Allocation Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of Multiple Element Revenue Allocation (MERA), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

Also, you can review information on shortcut and security setup, troubleshooting, and removing MERA.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Notes:

  • The Pathnames window is not currently supported.
  • If you are using the Advanced Revenue & Expense Deferrals (ARED) and Advanced Recurring Contract Billing (ARCB) integrations, the order of installation is as follows:
    1. ARED
    2. MERA
    3. ARCB

    If you have a previous version of MERA installed, you must remove it. After MERA is removed, you can install, the software in the order indicated so that you can use the integrated functionality.

    The MERA integration is available as of ARCB and ARED for Microsoft Dynamics GP 2015 and MERA build 504.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Requirements

To check if your computer meets all hardware and system requirements, review the article in the Microsoft documentation: System Requirements for Microsoft Dynamics GP [image].

Note icon. Note: Many Microsoft Dynamics GP processes require some additional processing steps when the Binary Stream program is installed and enabled. Therefore, both programs perform best when you configure your system to exceed the minimum requirements that Microsoft suggests.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installation Checklist

Print this checklist before you begin your installation of Multiple Element Revenue Allocation. Use this checklist to as a guide to select the tasks you perform, and then, check off the tasks as they are completed.

This checklist is for installing Multiple Element Revenue Allocation only. For a checklist for installing Microsoft Dynamics GP, review the Microsoft Dynamics GP installation instructions for the version of Microsoft Dynamics GP that you are installing.

To Do | Task | Completed
Multiple Element Revenue Allocation
 | Downloading the Installation Files |
 | Extracting the Installation Files |
 | Uninstalling the Previous Version of Multiple Element Revenue Allocation |
 | Exporting Modified Forms and Reports |
 | Installing within Windows |
 | Installing within GP |
 | Registering |
 | Importing Modified Forms and Reports |
 | Using Alternate Forms and Reports |
 | Setting Up User Security |

See also

Installation Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Operational Checklist

Multiple Element Revenue Allocation does not require separate daily, monthly, and annual procedures. All data from Multiple Element Revenue Allocation is saved within the Microsoft Dynamics GP database. For information on how to perform daily, monthly, and annual procedures and database backups, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Downloading the Multiple Element Revenue Allocation Installation Files

You can download the installation files from a compressed (zipped) folder from the Binary Stream Portal (https://portal.binarystream.com/) External link. The files that you download have the following naming convention:

  • Software files: MERA_Install_GPvers_Build#_YYYYMMDD.zip

For example, MERA_Install_GP2018_BLD501_20180703.zip

Where:

  • GPvers = GP2018
  • Build# = BLD501

To download the installation files, follow these steps:

  1. Go to the Binary Stream Portal [image] .
  2. Select the link for Dynamics GP Portal [image], and log in with your Username and Password.
  3. On the Binary Stream GP Ticketing Center page, select the Knowledge Base and Downloads [image] link.
    On the page that appears, you might have to log in again.
  4. In the navigation on the left, select Binary Stream Downloads [image] to expand the tree, and then select the product you want.
    If you do not see the product you want, contact Binary Stream support: gpsupport@binarystream.com.
  5. From the list of files to download, select the compressed zipped folder you want.
    The file is automatically downloaded to your computer.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extracting the Multiple Element Revenue Allocation Installation Files

After you save the compressed (zipped) installation folder to your computer, you must extract the files to be able to run the installer (.msi) file to install the program.

To extract the installation files, follow these steps:

  1. In the File Explorer, go to the folder location where you saved the compressed (zipped) installation folder.
  2. Right-click the compressed (zipped) folder, and select Extract All.

The compressed (zipped) folder contains the following items:

Installation Files Table
File Name | Description
MERA_GPvers_Setup.msi | The installer file for the Binary Stream program and the EULA. Note icon. Note: The installer is for a 64-bit operating system only.
Readme_MERA_GPvers.pdf | The Readme file updated for the latest build. Provides information on all enhancements and issues that were fixed in the release.
MERA_WebClient_HelpFiles.zip | The documentation for the Microsoft Dynamics GP web client. Note icon. Note: If this format is not available from the compressed (zipped) installation folder, you can access it on the Binary Stream Portal (https://portal.binarystream.com/) External link .
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Exporting Modified Forms and Reports

Before you upgrade Multiple Element Revenue Allocation, you must export any modified forms and reports to a package file. After you finish upgrading Multiple Element Revenue Allocation, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the modified forms and reports so that you can continue using them without any issues or errors. If you do not export and import the modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

When you export the modified forms and reports, you perform the following activities:

  • Export Modified Forms and Reports
  • Rename Modified Forms and Report Dictionaries

Export Modified Forms and Reports

To export MERA modified forms and reports to a package file, follow these steps:

  1. In Microsoft Dynamics GP, open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  2. Select the Product column header, which sorts the modified forms and reports by product name.
  3. Scroll down until you see the modified forms and reports for Multiple Element Revenue Alloc.
    If you do not see Multiple Element Revenue Alloc, you can stop at this step. You do not have any MERA modified forms and reports.
  4. Select all of the modified forms and reports for Multiple Element Revenue Alloc.
  5. Select Export.
  6. In the Please select a package file window, specify a name for the package file, and select Save.
  7. To confirm that the export was successful, check the status bar of the Customization Maintenance window.
  8. Close the Customization Maintenance window.
  9. Exit Microsoft Dynamics GP.

Rename Modified Forms and Report Dictionaries

To rename the MERA modified forms and reports dictionaries, follow these steps:

  1. In the File Explorer, go to the folder where the MERA modified forms and reports dictionaries are saved.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2013\Data.
  2. Find the MERA modified forms and reports dictionaries, which are usually named BS42FRMS.DIC and BS42RPTS.DIC, respectively.
    Note icon. Note: If you do not have any MERA modified forms, you will not have a forms dictionary. Similarly, if you do not have any MERA modified reports, you will not have a reports dictionary.
  3. Rename the dictionaries.
    For example, add the word BACKUP - BS42FRMS_BACKUP.DIC and BS42RPTS_BACKUP.DIC.

After you export the modified forms and reports, and rename the dictionaries, you are ready to install MERA. After MERA is installed, you can then import the MERA modified forms and reports from the package file that you just exported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Uninstalling the Previous Version of Multiple Element Revenue Allocation

When you upgrade MERA from a previous version, you must remove it in Windows before you run the installation file (.msi). By removing MERA, you ensure that any MERA application libraries are replaced with the most current versions.

Also as a best practice before uninstalling MERA, back up your current environment, and rename the BS42.dic file.

Tip: For some Binary Stream programs, you can run the installer file (.msi) and you get the option of repairing or removing the program. If the installer file gives you the option to repair or remove MERA, select to remove the program. You can then skip these steps and advance to the next section for installing MERA. If you do not get the option, select Cancel to exit the installer and follow the instructions to uninstall MERA.

When you uninstall MERA, follow these steps:

  1. Back up your current Microsoft Dynamics GP environment, including all Microsoft Dynamics GP folders and databases.
  2. In the File Explorer, go to the GP<Version> folder and find the file named BS42.dic.
  3. Rename BS42.dic to a different name, for example BS42_BACKUP.dic.
  4. From the Start menu, open the Control Panel.
  5. In Programs, select Uninstall a program, which opens the Programs and Features window.
  6. In the list of programs, select the program you want to uninstall, and select Uninstall.

  7. Follow the prompts to finish uninstalling the program.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing Multiple Element Revenue Allocation within Windows

When you install MERA, you must run the installer (.msi) file on each individual server or client computer that has Microsoft Dynamics GP installed.

To install MERA within Windows, follow these steps:

  1. In the File Explorer, go the folder where you extracted the installation files, and double-click MERA_GPvers_Setup.msi.
  2. On the first page of the Installation Wizard, select Next to proceed with the installation.
  3. Read the License Agreement, select I Agree, and select Next.
  4. In the Select Installation Folder window:
    • In Folder, select the folder where Microsoft Dynamics GP is installed.
      If you installed Microsoft Dynamics GP to the default location, you do not have to change the value in this box.
    • To allow anyone using the computer to use MERA, select Everyone.
  5. Select Next.
  6. In the Confirm Installation window, select Next.
    The installation can take a few moments.
  7. When the installation finishes, select Close.

After the installation is complete, you can find the following files in the GPVersion folder.

Windows Installation Files Table
File Name | Description
BS42.cnk | After you start GP, this file is converted to BS42.DIC.
BSSI EULA Modified.rtf | This file is your End-User License Agreement.
MERA.chm | This file is the documentation for the Windows client version of Microsoft Dynamics GP. Note icon. Note: Some products do not have this format of documentation. In these cases, only a PDF file of the documentation is available.

If a Web client format of the documentation is available, the installer file copies it to the following folder: Microsoft Dynamics\GP Web Components\GPweb\Help\MERA. Remember, not all BSSI programs have a .chm file. If the program has a .chm file, the Web client documentation might be available as well.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing Multiple Element Revenue Allocation within Microsoft Dynamics GP

After the software is installed in Windows, you must complete the installation by installing the software in Microsoft Dynamics GP. When you restart Microsoft Dynamics GP, the BSSI software chunk file is automatically run at the same time, and starts the BSSI Installation Wizard.

When you install MERA in Microsoft Dynamics GP, you do the following:

  • Install the new code in the GPVersion folder.
    You must perform this activity on each computer that ran the installation file.
  • Install or update MERA in each company (database) that you want to use it in.
    You must perform this activity on only one computer (usually the server computer) where you ran the MERA installation file.

Note icon. Note: To install third-party software that integrates with GP, always log on with the system administrator (sa) user account.

Install the Software in Microsoft Dynamics GP

To install the software in Microsoft Dynamics GP, follow these steps:

  1. Start GP, and log on with the system administrator (sa) account.
    The Dexterity Runtime dialog box appears with the following message:
    New code must be included in the Dynamics.set dictionary. Do you wish to include new code now?
  2. To include the new code, select Yes.

Update the Microsoft Dynamics GP Database

To update each company database, follow these steps:

  1. After the new code is installed to Microsoft Dynamics GP, the logon window appears. Log on to Microsoft Dynamics GP with the system administrator (sa) user account.
  2. When you see the BSSI Installation Wizard, select Next.
  3. In the BSSI System Install window, for each company database that you want to use MERA select the Install check box.

  4. After you select all the company databases that you want, select Next, which starts the installation.

For a new installation, the installation can take a few minutes to complete.
For an upgrade, the installation can take a few minutes or a few hours, depending on the number and size of each database that you are updating.

You can see the progress bar on the BSSI Installation Wizard for the status of the installation process.

Tip: If you want to access the BSSI Installation Wizard at another time, create a shortcut to the BSSI Installation Wizard window in the Navigation pane on your Microsoft Dynamics GP home page.

Note icon. Note: If other users have problems accessing the third-party software, run a Grant.sql script to give the users access to all third-party software.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Registering Multiple Element Revenue Allocation

After the program is installed in Microsoft Dynamics GP, the BSSI Registration window appears. You use the BSSI Registration window to type your registration key and activate the program. If you do not have a registration key, contact Binary Stream for assistance.

Note icon. Note: If you use MERA with the sample database (Fabrikam), you do not need a registration key.

To register the software, follow these steps:

  1. If the BSSI Registration window is not open, in Microsoft Dynamics GP, select Tools > Setup > System > Binary Stream Registration.
  2. Enter the registration key as follows:
    • For new customers with permanent keys, type the registration key value in Permanent Keys.
    • For demonstration users with trial keys, type the registration key value in Trial Keys.
    • For Microsoft Services Providers License Agreement (SPLA) users with SPLA keys, type the registration key value in Trial Keys.
  3. Check that Site Name shows your company name.

  4. If you have Trial Keys, you can complete this optional step.
    1. Select Notification Setup, which opens the User/Reg Key Notification Setup window.
    2. You can set the Number of Days before the trial key expiration date to notify each user. By default, all users are notified 30 days before the expiration date.
      • If you want all users to have the same number of days' notice, in Default Number of Days, specify the number of days' notice.
        The list is updated so that all user IDs have the same value in the Number of Days column.
      • If you want each user to have different number of days' notice, in the list, specify the Number of Days for each User ID.

      Note icon. Note: If the Number of Days for a user is set to zero (0), the trial key expiry warning does not appear for the specific user.
  5. To complete the registration, select OK .
  6. When the registration is completed, log off of Microsoft Dynamics GP, and log back on again.

Tip: If you want to access the registration at another time, create a shortcut to the BSSI Registration window in the Navigation pane on your Microsoft Dynamics GP home page.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Modified Forms and Reports

Before you upgrade MERA, you must export any MERA modified forms and reports to a package file. After you finish upgrading MERA, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the MERA modified forms and reports so that you can continue using them without any issues or errors. If you do not export and then import the MERA modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

Before you can import the modified forms and reports, you must have already completed the following activities:

  • Exporting Modified Forms and Reports
  • Installing Multiple Element Revenue Allocation within Windows
  • Installing Multiple Element Revenue Allocation within Microsoft Dynamics GP

To import the MERA modified forms and reports from the package file, follow these steps:

  1. Start Microsoft Dynamics GP.
  2. Open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  3. Select the Product column header, which sorts the modified forms and reports by product name.
    If you successfully renamed the dictionary files, you should not see any MERA modified forms and reports as you scroll through the Customization Maintenance window.
    If you do see some, go back to the steps where you renamed the dictionary files, and try again.
  4. Select Import.
  5. On the Import Package File window, select Browse.
  6. Go to the folder location where you saved the package file, select it, and select Open.
    In the Import Package File window, you should see the MERA modified forms and reports that you are about to import.
  7. To import the package file, select OK.
  8. To confirm that the import was successful, check the status bar of the Customization Maintenance window.
  9. In the Customization Maintenance window, select the Product column header, and scroll down until you see the modified forms and reports for Multiple Element Revenue Alloc.
    You should see the MERA modified forms and reports that you just imported.

For more information on importing and exporting package files, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from Multiple Element Revenue Allocation in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate MERA window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type MERA_USER and in Description, type Alternate forms and reports for MERA.
  3. In Product, select Multiple Element Revenue Alloc.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the MERA alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the MERA alternate form instead of the Microsoft Dynamics GP version, select the Multiple Element Revenue Alloc option.
      For example, select the MERA alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all MERA alternate forms in a single action, set the Select box to Multiple Element Revenue Alloc, and then select Change All.
  5. To use the MERA alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the MERA alternate version of the report in the selected Microsoft Dynamics GP series.
  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom Multiple Element Revenue Allocation windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Task

To help facilitate the process of creating security tasks, the following security tasks are automatically created with your Multiple Element Revenue Allocation installation:

To create a security task, follow these steps:

  1. Open the Security Task Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Tasks).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Task Setup window, specify a Task ID, Task Name, and Task Description.
    For example, you could type MERA_TASKS in all three boxes.
  4. In Category, select Project.
  5. In Product, select Multiple Element Revenue Alloc.
  6. In Type, select Windows.
  7. In Series, select Project.
  8. Select Mark All to select all of the window titles in the Access List.
  9. If you do not want the task ID to have access to certain windows, clear the check box for the window name.

  10. In Type, change the value to Reports, and in Series, select Project.
  11. Select Mark All to select all of the report titles in the Access List.
  12. If you do not want the security task ID to have access to certain reports, clear the check box for the report name.

  13. Select Save.

See also

Setting Up User Security

Creating a Security Role

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Role

To help facilitate the process of creating security roles, the following security roles are automatically created with your Multiple Element Revenue Allocation installation:

To create a security role, follow these steps:

  1. Open the Security Role Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Roles).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Role Setup window, specify a Role ID, Role Name, and Role Description.
    For example, you could type MERA_ROLE in all three boxes.
  4. In the list, select the Security Task ID that you created (for example, MERA_TASKS).
  5. Select Save.

See also

Setting Up User Security

Creating a Security Task

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning a Security Role to a User

To assign a security role to a user, follow these steps:

  1. Open the User Security Setup window (Microsoft Dynamics GP > Tools > Setup > System > User Security).
  2. If you are asked for your password, type your password and select OK.
  3. In the User Security Setup window, select a User ID.
  4. Select a Company name.
  5. Under Roles, select the Security Role ID that you created (for example, MERA_ROLE).
  6. In Alternate/Modified Forms and Reports ID, select the alternate forms and reports ID you created.
  7. Select Save.
  8. Repeat these steps for all users and companies that use MERA.

See also

Setting Up User Security

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to MERA windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to Multiple Element Revenue Alloc.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Multiple Element Revenue Alloc node to show all of the Microsoft Dynamics GP series.
  7. For each MERA window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.

  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Multiple Element Revenue Alloc node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Implementing Multiple Element Revenue Allocation

Only a qualified and experienced Microsoft Dynamics GP consultant should work with you to integrate Multiple Element Revenue Allocation with your Microsoft Dynamics GP environment, data, and processes.

Typical implementation tasks include the following:

  • Setting up a test system
  • Installing and configuring the software
  • Importing data
  • Setting up users, security, and other options
  • Testing your scenarios
  • Going live with your production database
  • Training end users and on-site system administrators

Implementation Service

If your authorized reseller cannot help you with your integration, contact Binary Stream Software for integration and training services.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Multiple Element Revenue Allocation

To remove Multiple Element Revenue Allocation from your Microsoft Dynamics GP environment, you must perform the following activities in the order shown:

  1. Removing the product tables from all companies, or from one company
  2. Removing the product information and dictionaries
  3. Removing the product in Windows

Note icon. Note: The instructions vary depending on whether you remove Multiple Element Revenue Allocation from all company databases or just one company database.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Multiple Element Revenue Allocation Tables in Microsoft Dynamics GP

Before you can remove Multiple Element Revenue Allocation, you must remove the product tables in the DYNAMICS and company databases. However, the steps depend on whether you want to remove Multiple Element Revenue Allocation from all company databases or just one company database.

Important: Before you proceed with either of these steps, make a backup of your DYNAMICS and company databases.

Closed Remove MERA from all company databases

To delete the product tables for MERA in the DYNAMICS database, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of your DYNAMICS database (the default name is DYNAMICS).
  3. In Product, select Multiple Element Revenue Alloc.
  4. Perform this step depending on how many Binary Stream software programs you have installed:
    • If MERA is the only Binary Stream software program installed, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed and you want to remove only MERA, select all of the tables except the following tables:
      • BSSI_SY_Company_MSTR
      • BSSI_Registration
      • BSSI_RegExp_Date
      Select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_SY_Company_MSTR table, run the following script against the DYNAMICS database to remove the product reference from the BSSI_SY_Company_MSTR table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines:

    Note icon. Note: If your DYNAMICS database does not use the default name, you must change it in the following use statement.

    use DYNAMICS
    delete from BSSI0300 where BSSI_Product_ID = '4231'
  4. Select Execute.

To delete the product tables for MERA in all company databases, follow these steps for each company database:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Multiple Element Revenue Alloc.
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If MERA is the only Binary Stream software product installed in the selected company, select all the tables , select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only MERA, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '4231'
  4. Select Execute.
Closed Remove MERA from one company database

To remove MERA from one company database only, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Multiple Element Revenue Alloc
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If MERA is the only Binary Stream software product installed in the selected company, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only MERA, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '4231'
  4. Select Execute.
  5. From the BSSI0300 table in the DYNAMICS database, run the following query to delete the rows for the company:
    • delete from BSSI0300 where INTERID = 'enter the company ID here'
      and BSSI_Product_ID = 4231

After you complete these steps, MERA should be removed from the selected company only.

See also

Removing Program Information in Microsoft Dynamics GP

Removing Multiple Element Revenue Allocation in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Program Information in Microsoft Dynamics GP

When you remove MERA, you must also remove the product information and dictionaries in Microsoft Dynamics GP.

To remove product information and dictionaries, follow these steps:

  1. Exit Microsoft Dynamics GP.
  2. Open the File Explorer, and go to the folder where Microsoft Dynamics GP is installed.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2016.
  3. Make a backup of the DYNAMICS.SET file.
  4. Open DYNAMICS.SET in a text editor (for example, Notepad).
  5. Select and delete the following two lines in the top section of the file:
    • The line with the product name: Multiple Element Revenue Alloc.
    • The line with the product number, which is above the line with the product name.
      The product number is 4231.
  6. Select and delete the three lines in the lower section of the file that have the following file names: BS42.DIC, BS42FRMS.DIC, and BS42RPTS.DIC.

    7. For example:
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/BS42.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS42FRMS.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS42RPTS.DIC

  7. Go to the first line of the DYNAMICS.SET file. This line has a number that represents the number of installed products in GP. Decrease that number by 1. For example, if the number is 42, change it to 41.
  8. Save the changes to DYNAMICS.SET, and exit the text editor.

MERA is completely removed from Microsoft Dynamics GP.

See also

Removing Multiple Element Revenue Allocation Tables in Microsoft Dynamics GP

Removing Multiple Element Revenue Allocation in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Multiple Element Revenue Allocation in Windows

When you remove MERA from Microsoft Dynamics GP, you must also remove it from Windows.

If you are updating MERA, you must remove it from Windows before you run the new installer (.msi) file in the system.

To remove MERA from Windows, follow these steps:

  1. Open the Windows Control Panel, and select Uninstall a program.
  2. In the Programs and Features window, in the list of installed programs, select the program you want to uninstall.
  3. Select Uninstall.

The Uninstall wizard runs, and when it completes, MERA is removed from Windows.

See also

Removing Multiple Element Revenue Allocation Tables in Microsoft Dynamics GP

Removing Program Information in Microsoft Dynamics GP

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within MERA.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Managing Multiple Element Revenue Allocation

Typically, a system administrator performs the following tasks in a GP environment with MERA installed:

  • Installing and Updating MERA
  • Importing Data
  • Setting Up MERA
  • Troubleshooting

For help with any of these items, contact your system administrator.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Multiple Element Revenue Allocation

As an end user, you typically perform the following tasks in a Microsoft Dynamics GP environment with Multiple Element Revenue Allocation installed:

  • Data entry
  • Processing
  • Reporting

These are typical Microsoft Dynamics GP tasks. In addition, you use the custom and alternate windows and reports for Multiple Element Revenue Allocation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating Multiple Element Revenue Allocation

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

Installation Documentation

To install or update Multiple Element Revenue Allocation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Multiple Element Revenue Allocation

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Notes:

  • If you are not able to use the correct window for Multiple Element Revenue Allocation, you cannot correctly enter and reuse data or use the functionality in Multiple Element Revenue Allocation.
  • For some third‑party programs , the alternate window for Multiple Element Revenue Allocation is not available due to conflicts. For programs commonly used with Multiple Element Revenue Allocation, an extra window option exists. In these cases, use the alternate window for the third-party program.

    • If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Reports

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a Multiple Element Revenue Allocation alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

    • Note icon. Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Alternate or Custom Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Common Window Buttons

Many of the windows include buttons described only in this section to reduce repetition in the document. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Button Name | Icon | Description
Cancel |  | Closes the window without saving any changes.
Clear |  | Clears all boxes in the window.
Copy |  | Copies the selected data, or all data in the window, to the clipboard.
Delete |  | Removes the current record from its associated table. Deletes the current record.
Expansion | Expansion Arrow icon. | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup |  | Opens the associated Lookup window for a field.
Note |  | Opens the associated note window for a field.
OK |  | In a setup window, saves the data to its associated table. In an Inquiry, closes the window. You do not usually select OK to close a window, except when in an Inquiry window.
Print |  | Prints the report associated with the window.
Redisplay |  | Updates the view of the contents in the window.
Save |  | In a Cards or Maintenance window, saves the data or record to its associated table.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Data: Fair Value

The following table provides information on the structure of the CSV file that is imported using the Item Fair Value Import utility.

The required format of the file is as follows:

Field Names | Type | Required | Values
Item Number | String | Yes |
Fair Value Method | Integer | Yes | 1 – Amount 2 – Sales Amount 3 – List Price 4 - % of an Item
Fair Value Amount | Money | Only for Fair Value Method = 1 (Amount) | >= 0
Fair Value Percentage | Percentage | Only for Fair Value Method = 4 (% of an Item) | >=0 <= 100

The following is an example with first row as column headings:

Item Number, Method, Amount, Percentage,

Television, 1, 1500, 0,

Stereo, 2, 0, 0,

Table, 3, 0, 0,

Chair, 4, 0, 15.25

See also

Item Fair Value Import

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in MERA.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution per Line Item: Example

The following example shows sales distributions per line item.

Sales transaction line items with revenue allocation calculations:

Item | QTY | Unit Price | Extended Price | Fair Value | Extended Fair Value | Revenue Allocation % | Recognition Amount
Refrigerator | 2 | 1,100.00 | 2,200.00 | 1,125.00 | 2,250.00 | 54.88 | 2,195.12
Stove | 2 | 500.00 | 1,000.00 | 500.00 | 1,000.00 | 24.39 | 975.61
Dishwasher | 1 | 800.00 | 800.00 | 850.00 | 850.00 | 20.73 | 829.27
 |  |  | 4,000.00 |  | 4,100.00 |  | 4,000.00

Standard Microsoft Dynamics GP distributions:

Account | Type | Debit | Credit
000-1200-00 | RECV | 4,000.00 |
000-4100-00 | SALES |  | 4,000.00
 |  | 4,000.00 | 4,000.00

Multiple Element Revenue Allocation distributions:

Account | Type | Debit | Credit
000-1200-00 | RECV | 4,000.00 |
000-4100-00 | SALES |  | 2,195.12
000-4100-00 | SALES |  | 975.61
000-4100-00 | SALES |  | 829.27
 |  | 4,000.00 | 4,000.00
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution with Markdown and Trade Discount: Example

This example shows sales distributions with Markdown and Trade Discount.

Sales transaction line items with revenue allocation calculations:

Item | QTY | Unit Price | Markdown | Extended Price | Fair Value | Extended Fair Value | Revenue Allocation % | Recognition Amount
Couch | 2 | 1,200.00 | - | 2,400.00 | 1,100.00 | 2,200.00 | 84.62 | 2,284.62
Side Table | 2 | 80.00 | 30.00 | 100.00 | 80.00 | 160.00 | 6.15 | 166.15
Coffee Table | 1 | 250.00 | - | 250.00 | 240.00 | 240.00 | 9.23 | 249.23
 |  |  | Trade Discount | 50.00 |  |  |  |
 |  |  |  | 2,700.00 |  | 2,600.00 |  | 2,700.00

Standard GP distributions:

Account | Type | Debit | Credit
000-1200-00 | RECV | 2,700.00 |
000-4100-00 | SALES |  | 2,810.00
000-4180-00 | MARK | 60.00 |
000-4183-00 | TRADE | 50.00 |
 |  | 2,810.00 | 2,810.00

Note icon. Note: The distributions for MARK and TRADE are only used when the Merge Trade Discount and Markdown Distributions in Salescheck box on the Company Setup Option window is cleared.

Multiple Element Revenue Allocation distributions:

Account | Type | Debit | Credit
000-1200-00 | RECV | 2,700.00 |
000-4100-00 | SALES |  | 2,284.62
000-4100-00 | SALES |  | 166.15
000-4100-00 | SALES |  | 249.23
 |  | 2,700.00 | 2,700.00
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


See also

Modifying a Billing Schedule Contract - ARCB Integration: Example

As of Microsoft Dynamics GP 2016 RTM, you can modify a billing schedule contract where invoices have already been created for line items. You can make the following types of changes:

  • Add an item to or terminate an item from the billing schedule
  • Change the Unit Price, Quantity, or FMV of an existing item.

Note icon. Note: If invoices have already been created for the billing schedule, you cannot change the MEA ID. If an invoice has been created, revenue is already recorded and accruals (deferral) exists for the MEA ID.

When a change to the billing schedule occurs, a check for an invoice occurs:

  • If an invoice has been created for a line, only the remaining periods for the line are recalculated. Any periods that have already been invoiced are excluded from recalculations.
  • The remaining revenue for the remaining periods for each line is recalculated and the Contract Revenue Clearing Account amount is added to the Contract Value.
  • If the Contract Revenue Clearing Account has no value after the recalculation, the Contract Revenue Clearing Account amount is zero.

The following example shows a billing schedule.

The invoice for the first period has already been created and the Contract Revenue Clearing Account has an amount of 1041.50.

After the invoice for the first month is created, the contract is modified:

  • The unit price for line item SAAS SW changes from 100.00 to 90.00, the FMV stays the same (114.29)

When the schedule is recalculated, the line items HW, Setup Fee, and Prof. Services are excluded from the calculations because these items have a Frequency of One time, and an invoice has already been created for them.

  • The frequency for the line item SW Annual Maint. is annual. The invoice for the first year has already been created, and the second year still remains.
  • The frequency for the line item SAAS SW is monthly. The invoice for the first period has already been created, and 23 periods remain.

The following image shows the remaining calculations:

  • Both lines have remaining billing periods
  • The accrued amount (Contract Revenue Clearing Account ) is added to the Contract Value

The invoice for February is as follows:

The Contract Revenue Clearing Account has a negative value. Therefore, it should be a debit.

The change is reflected in the audit table in the following images.

The first invoice:

After the changes:

See also

Reviewing the Changes to an ARCB Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the MERA custom menus from the MERA area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding a Multiple Element Arrangement ID

To add a multiple element arrangement ID, follow these steps:

  1. Open the MEA ID Maintenance window (Cards > Multiple Element Revenue Allocation > MEA ID Maintenance ).
  2. Specify a unique MEA ID and a Description.
  3. If you use ARCB, select the Deferred Contract Revenue Account.
  4. Select Save.

After you add a multiple element arrangement ID, you cannot change the ID, you can only change the description.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up the Deferral Rounding Account

Available as of Microsoft Dynamics GP 2016 RTM.

To set up the deferral rounding account, follow these steps:

  1. Open the Setup window (Setup > Multiple Element Revenue Allocation > Setup).
  2. Select the Deferral Rounding Account you want to use.
  3. Select OK.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding a Fair Value Setup to an Item

You can add a fair value set up to one or more items in the Item Fair Value Setup window. You can also use these steps to edit the fair value setup for one or more items.

To add a fair value setup to one item, follow these steps:

  1. Open the Item Fair Value Setup window (Cards > Multiple Element Revenue Allocation > Item Fair Value Setup ).
  2. In the scrolling window, specify an Item Number.
    Tip: You can use the Number Lookup button to select an item.
  3. Select a Fair Value Method, and enter a Fair Value or Percentage.
  4. Select Save.

If you have several items to which you want to add a fair value setup, you can edit each item in the scrolling window individually, as in the previous steps, or you can use the Roll-down button to apply the same fair value setup to several items in a single action.

To add the same fair value setup to several items in a single action, follow these steps:

  1. Open the Item Fair Value Setup window (Cards > Multiple Element Revenue Allocation > Item Fair Value Setup ).
  2. Clear the Exclude Items with no Fair Value setup check box, and select Redisplay.
  3. In the scrolling window, select the check boxes for the items that you want to update.
  4. In the top part of the window, select a Fair Value Method, and enter a Fair Value or Percentage, and select Roll-down.
  5. Select Save.

Tip: If you have fair value setup for multiple items, sourced from a comma separated file (.csv), you can select Import to open the Item Fair Value Import window to import fair values from a file.

See also

Deleting a Fair Value Setup from an Item

Importing a Fair Value

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deleting a Fair Value Setup from an Item

You can delete a fair value set up from one or more items in the Item Fair Value Setup window.

To delete a fair value setup from one item, follow these steps:

  1. Open the Item Fair Value Setup window (Cards > Multiple Element Revenue Allocation > Item Fair Value Setup ).
  2. In the scrolling window, specify an Item Number.
  3. Select Row Delete [image].
  4. Select Save.

To delete a fair value setup from several items at one time, follow these steps:

  1. Open the Item Fair Value Setup window (Cards > Multiple Element Revenue Allocation > Item Fair Value Setup ).
  2. Select the Exclude Items with no Fair Value setup check box, and select Redisplay.
  3. In the scrolling window, select the check boxes for the items that you want to update.
  4. Select Delete.
  5. Select Save.

See also

Adding a Fair Value Setup to an Item

Importing a Fair Value

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing a Fair Value

To import fair value setup sourced from a comma separated file (.csv), follow these steps:

  1. Open the Item Fair Value Import window (Cards > Multiple Element Revenue Allocation > Item Fair Value Setup > Import button ).
  2. If the first row of the file consist of headings, select First Row is Column Headings.
  3. Specify the File Path for the file or click Browse to navigate to the file.
  4. Select Process.

After the fair value setups are imported, a report shows the imports status of all items, and for items that failed, provides a description of the error.

See also

Adding a Fair Value Setup to an Item

Deleting a Fair Value Setup from an Item

Importing Data: Fair Value

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Marking a Transaction as a Multiple Element Arrangement

You can mark an item as a multiple element arrangement (MEA) transaction in the Revenue Allocation window.

To mark an item as a MEA transaction, follow these steps:

  1. Open the Revenue Allocation window (Transactions > Sales > Sales Transaction Entry, Additional > Revenue Allocation).
  2. Select the MEA Type: None, Single, or Multiple.
  3. Select the MEA ID to associate with the transactions.
  4. Edit the Fair Value Method and Fair Value as needed.
  5. When you are finished, select OK.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Calculating Fair Value

You use the Item Fair Value Calculator window to calculate the fair value for an item.

To calculate the fair value for an item, follow these steps:

  1. Open the Item Fair Value Calculator window (Transactions > Sales > Sales Transaction Entry, Additional > Revenue Allocation, Calculator button).
  2. Change the Default % of an Item as needed.
  3. When you are finished, select OK.

Notes:

  • This window only opens for line items in the Revenue Allocation window that have the Fair Value Method set to % of an Item
  • The Item Fair Value Calculator window is only a calculator. No values are saved on the window. If you close and then reopen the window, the calculation restarts from the default state.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reviewing the Changes to an ARCB Billing Schedule

As of Microsoft Dynamics GP 2016 RTM, you can edit an Advanced Recurring Contract Billing (ARCB) billing schedule that uses the multiple element allocation (MEA) functionality in Multiple Element Revenue Allocation (MERA). When you edit the billing schedule, the original calculations and data are moved to the history of the schedule.

To review the changes to a billing schedule, follow these steps:

  1. Open the Revenue Allocation window (Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button).
  2. For the schedule ID, select History, which opens the MERA Modifications window.
  3. In the list view, double-click a line, which opens the Audit History window.
  4. When you are finished reviewing the previous billing schedule details, select OK, which closes the window.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MEA ID Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Multiple Element Revenue Allocation > MEA ID Maintenance

See also

Adding a Multiple Element Arrangement ID

Use this window to create and edit multiple element arrangement (MEA) template ID’s. These IDs are used on the Revenue Allocation window to group items together.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Overview

Button showing that window Overview page is currently viewed.
Setup > Multiple Element Revenue Allocation > Setup

Available as of Microsoft Dynamics GP 2016 RTM.

Use this window to set up accounts and other custom settings for Multiple Element Revenue Alloc (MERA). Currently, only one option is available on this window.

See also

Setting Up the Deferral Rounding Account

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Setup: Overview

Button showing that window Overview page is currently viewed.

Cards > Multiple Element Revenue Allocation > Item Fair Value Setup

Use this window to set default fair values for inventory Items. These defaults are used on the Revenue Allocation window.

When you open this window, the default view shows items that already have a fair value set up.

See also

Adding a Fair Value Setup to an Item

Deleting a Fair Value Setup from an Item

Importing a Fair Value

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Import: Overview

Button showing that window Overview page is currently viewed.

Cards > Multiple Element Revenue Allocation > Item Fair Value Setup > Import button

Use this window to import fair value setup for multiple items, sourced from a comma separated file (.csv).

For the file details, review Importing Data: Fair Value.

See also

Importing a Fair Value

Importing Data: Fair Value

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

When you use this window with MERA, you can open the Revenue Allocation window to mark the transaction as a multiple element arrangement (MEA) transaction.

When a transaction is marked as a MEA transaction, recognition amounts for each line item in the allocation (or allocations) are calculated in accordance with the FASB and IFRS rules. Transaction distributions are then split by line item using the calculated recognition amount.

Notes:

  • Only the Invoice Document Type is currently supported.
  • GP Kit Items are currently not supported.

Distributions

For a sales transaction that is marked as a Single or Multiple MEA transaction, the sales distributions are modified to reflect the recognition amounts calculated for each line item:

  • All existing distributions of type SALES are replaced with a distribution per line item. For more information, see Sales Distribution per Line Item: Example.
  • Where markdown or trade discount distributions are present, the line items are removed since these amounts are taken into account in the calculation of recognition amount. For more information, see Sales Distribution with Markdown and Trade Discount: Example.

Notes:

  • When on the Sales Distribution Entry window you select Default, you are asked to change the transaction to a "normal" sales transaction (MEA Type set to None) because you cannot use standard GP distributions for transactions where the MEA Type is Single or Multiple.
  • Multiple Element Revenue Allocation is compatible with the Merge Trade Discount and Markdown Distributions in Sales check box on the Company Setup Option window.
  • Line items with a markdown amount that are not part of an arrangement for a multiple MEA transaction type are not currently supported. Because all markdown distributions are removed, distributions will not balance if a markdown amount is not part of an arrangement. Support for this issue may come in future versions of MERA.
  • Tax schedule details with Tax Included with Item Price are not supported. This causes issues within the fair value calculation, and also causes distributions to be out of balance.

Multicurrency

MERA supports all multicurrency transactions. All amounts on the Revenue Allocation window are tracked in both the functional and originating currencies, and carried through to the Sales Distribution Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

When using Multiple Element Revenue Allocation with the Sales Transaction Inquiry window, you can view any open or history revenue allocation information.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Overview

Button showing that window Overview page is currently viewed.

When you use this window with MERA, any change you make in this window is reflected on the Revenue Allocation window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry, Additional > Revenue Allocation
Transactions > Sales > Sales Transaction Entry, Item expansion button > Additional > Revenue Allocation

Use this window to mark a sales transaction as a multiple element arrangement (MEA) transaction and to select the fair value method and/or fair value amount for each line item.

Because all calculations occur as background processes, you can close this window at any time.

Tip: From the Sales Transaction Entry or the Sales Item Detail windows, you can open this window by pressing Ctrl + G.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation (ARCB): Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button

Use this window to set the multiple element arrangement (MEA) and fair value method and/or fair value amount for each line items within a billing schedule.

As of Microsoft Dynamics GP 2016 RTM, you can also use this window to put the line items in a groups based on the MEA ID.

Available only when Multiple Element Revenue Allocation (MERA) is installed.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA Modifications (ARCB): Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button > History button

Available as of Microsoft Dynamics GP 2016 RTM.

Use this window to review the list of changes to a billing schedule by date and user ID.

Each time a change is made to a billing schedule that use multiple element allocation (MEA), the original calculations and data are moved to the history of the schedule.

See also

Reviewing the Changes to an ARCB Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Audit History (ARCB): Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button > History button > Double-click line item

Available as of Microsoft Dynamics GP 2016 RTM and when you use the Advanced Recurring Contract Billing integration with Multiple Element Revenue Allocation.

Use this window to review the Multiple Element Revenue Allocation amounts for the previous billing schedule before the modifications. All fields on this window are read-only.

See also

Reviewing the Changes to an ARCB Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Percentage of an Item: Overview

Button showing that window Overview page is currently viewed.

> Advanced Recurring Contract Billing >

Use this window to calculate the fair value for line items as a percentage of other line items for the selected billing schedule. When you open this window, all line items except the line currently being calculated appear in the scrolling window.

This window only opens for line items in the Revenue Allocation window in Advanced Recurring Contract Billing that have the Fair Value Method set to % of an Item.

Note icon. Note: This window is only a calculator. No values are saved on this window. If you close and then reopen this window, the calculation restarts from the default state.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Percentage of an Item Inquiry: Overview

Button showing that window Overview page is currently viewed.

> Advanced Recurring Contract Billing >

Use this window to view the calculation of the fair value for line items as a percentage of other line items for the selected billing schedule. When you open this window, all line items except the line currently being calculated appear in the scrolling window. All boxes on this window are read-only.

This window only opens for line items in the Revenue Allocation window in Advanced Recurring Contract Billing that have the Fair Value Method set to % of an Item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Calculator: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry, Additional > Revenue Allocation, Calculator button

Use this window to calculate the fair value for line items as a percentage of other line items. When you open this window, all line items except the line currently being calculated appear in the scrolling window.

This window only opens for line items in the Revenue Allocation window that have the Fair Value Method set to % of an Item.

Note icon. Note: This window is only a calculator. No values are saved on this window. If you close and then reopen this window, the calculation restarts from the default state.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Sales Documents, Document Number link, Additional > Revenue Allocation

Use this window to view any exiting revenue allocation information, from either open or history transactions.

Tip: From the Sales Transaction Inquiry Zoom window, you can open this window by pressing Ctrl + G.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

Multiple Element Revenue Allocation currently integrates with the following Binary Stream programs:

  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
  • Multi-Entity Management (MEM)
  • Advanced Recurring Contract Billing (ARCB)
  • Advanced Revenue & Expense Deferrals (ARED)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integration with Multi-Entity Management

Multiple Element Revenue Allocationis integrated with Multi-Entity Management (MEM).

The following windows are currently affected by MEM functionality:

  • Item Fair Value Setup

This window uses MEM item security settings when you look up records.

Note icon. Note: MEM item security does not apply to the Item Fair Value Setup window.

  • Sales Distribution Entry

When recreating distributions, MERA uses the account from the SOP line item. If you use MEM account substitution functionality, this account is already substituted with the correct account for the entity.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Recurring Contract Billing Integration Overview

Billing schedules in Advanced Recurring Contract Billing (ARCB) can use the multiple element allocation (MEA) functionality by integrating with MERA. With this integration, the following ARCB functionality is affected:

  • When the billing schedule is moved to the History, the associated revenue allocation and percentage of an item records are also moved.
  • Pro-ration calculations do not occur. All amounts are calculated based on the SOP invoices that are created.

    • Important: Because line items can have different frequencies, you must ensure that the invoices that are created include all items that are part of the multiple element arrangement (MEA).

Note icon. Note: The ARCB integration with MERA is available for Microsoft Dynamics GP 2015 and ARCB build 505.

As of Microsoft Dynamics GP 2016 R2, for existing billing schedules that use the multiple element allocation (MEA) functionality, you can do the following:

  • Add an item
  • Terminate an item
  • Change the unit price, quantity, and fair market value (FMV)

Note icon. Note: If an invoice has for the billing schedule has already been created, you cannot change the MEA ID. Once an invoice is created, the revenue is recorded and accruals (deferral) exists for the MEA ID.

The functionality within the following ARCB windows are affected by the integration with MERA:

  • Billing Schedule Maintenance
  • Billing Schedule Zoom
  • Revenue Allocation
  • Revenue Allocation Zoom
  • Percentage of an Item
  • Percentage of an Item Zoom
  • Invoice Creator
  • Invoice Creator Batch Processing
  • Schedule Import

The following table shows the ARCB functionality within the corresponding windows that do not work with MEA schedules:

ARCB Functionality Table
Functionality | Window
Auto Renewal | Billing Schedule Maintenance Independent Renewal Utility
Hold | Billing Schedule Maintenance Mass Hold Processing
Termination | Mass Termination Process Note icon. Note: The termination functionality on the Billing Schedule Maintenance window supports MEA schedules.
Price Update | Price Update Utility Note icon. Note: The price change functionality on the Billing Schedule Maintenance window supports MEA schedules.
Markdown/Price adjustment | Billing Schedule Maintenance Billing Schedule Header Price Adjustment Detail Billing Schedule Line Price Adjustment Detail Billing Schedule Detail
Free Qty | Billing Schedule Maintenance
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA eConnect Post Procedures Overview

You can use Microsoft Dynamics GP eConnect to import sales order information into your Microsoft Dynamics GP database and create sales transactions

Also, you can customize the imported data by adding MERA elements (data and options) into the files so that recognition schedules are created after you post the imported transactions in Microsoft Dynamics GP.

See also

Installing the eConnect Post Procedures

Adding MERA Elements

Integration with ARED

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing the eConnect Post Procedures

To create the customized eConnect post procedures that allow you to add MERA elements into your imported transactions, you must download and execute MERA SQL scripts.

When you run the BSSI_MERA_eConnect_Install batch file, the wizard also installs the MERA SQL scripts that you need.

See also

MERA eConnect Post Procedures Overview

Adding MERA Elements

Integration with ARED

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding MERA Elements

In an import file, use the eConnect-supplied User-Defined Fields to pass in values for the MERA elements.

User-Defined Field Segments

MERA eConnect post procedures read the USRDEFND1 field and the other divided segments, which are each separated by a comma, with no extra spaces:

For node <taSopLineIvcInsert>, the USRDEFND1 is as follows:

<USRDEFND1>1,1,1000,M1,10 </USRDEFND1>

Pass required MERA elements into the following segments.

First Segment

Enter/pass “0” or “1”

  • 0 = The transaction is not an invoice that uses multiple element allocation (MEA).
  • 1 = The transaction is an invoice that uses multiple element allocation (MEA).

Second Segment

Enter/pass “1” or “2” or “3” or “4”

  • 1 = Amount
  • 2 = Sales Amount
  • 3 = List Price
  • 4 = % of an item

Third Segment

Enter/pass any numeric value (if no value is provided, the default value is based on the Fair Value Method input).

Fourth Segment

Enter/pass any valid MEA ID (it can single or multiple MEA IDs).

Fifth Segment

Enter/pass numeric value for percentage (This field will be used only if Fair Value Method is 4).

For node <taSopHdrIvcInsert>, the USRDEFND1 is as follows:

<USRDEFND1>1,M1,1 </USRDEFND1>

First Segment

Enter/pass “0” or “1”

  • 0 = The transaction is not an invoice that uses multiple element allocation (MEA).
  • 1 = The transaction is an invoice that uses multiple element allocation (MEA).

Second Segment

Enter/pass any valid MEA ID. For example, M1, M2).

Third Segment

Enter/pass “0” or “1” or “2”

  • 0 = None
  • 1 = Single
  • 2 = Multiple

See also

MERA eConnect Post Procedures Overview

Installing the eConnect Post Procedures

Integration with ARED

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integration with ARED

MERA eConnect is also integrated with ARED eConnect.

User-Defined Field Segments

For the <taSopLineIvcInsert> node, the MERA eConnect post procedures read the USRDEFND5 field and the other divided segments, which are each separated by a comma, with no extra spaces:

<USRDEFND5>1,1,1,YYYY-MM-DD,YYYY-MM-DD </USRDEFND5>

Pass required MERA elements into the following segments.

First Segment

Enter/pass “0” or “1”

  • 0 = Do not set up a deferral schedule for this record. The BSSI_SOP_Schedule_Line (B7133302) table is not populated.
  • 1 = Set up a deferral schedule for this record. The BSSI_Deferrable field in the BSSI_SOP_Schedule_Line (B7133302) table is updated.

Second Segment

Enter/pass “0” or “1”

  • 0 = No Schedule Based on Date is provided.

    • When USRDFND5 = 1,0,,, the Document Date is used as the Deferral Start Date. The software looks for other values in setup tables when creating a schedule after posting.

  • 1 = A Schedule Based on Date is provided later in this field.

    • You must enter values for segments 3, 4, and 5. These values update BSSI_ScheduleBasedOnDate field in the BSSI_SOP_Schedule_Line (B7133302) table.

Third Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass “1”, “2”, “3”, or “4”

  • 1 = Monthly
  • 2 = Quarterly
  • 3 = Semi-Annually
  • 4 = Annually

This value updates BSSI_Recognition_Frequency field in the BSSI_SOP_Schedule_Line (B7133302) table.

Fourth Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass a Deferral Start Date in YYYY-MM-DD format.

This value updates the BSSI_DeferralStartDate field in the BSSI_SOP_Schedule_Line (B7133302) table.

Fifth Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass a Deferral End Date in YYYY-MM-DD format.

This value updates the BSSI_DeferralEndDate field in the BSSI_SOP_Schedule_Line (B7133302) table.

Examples

To define a schedule not based on provided dates = 1,0,,,

To define a schedule based on provided dates = 1,1,1,2011-04-11,2011-12-30

Notes:

  • You cannot import deferral transactions for different entities as assigned in Multi-Entity Management (MEM) because the MERA eConnect post procedures reuse a user-defined field that MEM eConnect post procedures also use.
  • The Recognition By Distribution option in MERA is not supported in the MERA eConnect post procedures.

See also

MERA eConnect Post Procedures Overview

Installing the eConnect Post Procedures

Adding MERA Elements

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting

This section provides information on issues or messages that might occur when you use MERA. If the issue or message you are experiencing does not appear in this article, contact your system administrator for assistance.

Closed Revenue Allocation errors exist, do you want to correct them now?

Cause:

This message is occurs when one or more revenue allocation line items are invalid. You can save your work, however, this message appears every time you save until the errors are corrected.

Solution:

Open the Revenue Allocation window. In the scrolling window, check the Error Message column for specific messages. Also check the status bar for a detailed message since error can occur at the header level.

Closed Revenue Allocation errors exist, please correct before Posting.

Cause:

This message occurs when an attempt is made to post a transaction, batch, or series where a sales transaction that is marked as MEA has invalid line items. If it is transaction, the posting of the transaction fails. If it is batch or series, the posting of the entire batch or series fails.

Solution:

Open the Revenue Allocation window. In the scrolling window, check the Error Message column for specific messages. Also check the status bar for a detailed message since error can occur at the header level.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2025 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

Multiple Element Revenue Allocation for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Tuesday, December 16, 2025

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Glossary

A B C EFG H I J K LMN O P QRS T U V W X Y Z

E

extra window:
An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. For detailed information see, Extra Windows.

Back to top

F

fair market value, fair value:
The approximate true value of an item, as opposed to the selling price. The fair value is used to calculate the portion of revenue to allocate to an item.
fair value method:
The fair value method is used to calculate the fair value for an item. The fair value can be calculated any of the following methods:
  • specifying a flat amount
  • using the selling price
  • using the amount from the item price list
  • using a calculated amount based on a percentage and the selling price of other items on the invoice
See also: Item Fair Value Setup

Back to top

M

MEA, multiple element arrangement:
A collective term used for items that are grouped for the purpose of calculating revenue, usually items sold together as a ‘bundle’ or a ‘package deal’. For example, you can purchase a table bundle that includes the tablet, a docking station, screen protector, and a case.
MEA ID:
An identifier used to group items into arrangements.
See also: MEA ID Maintenance.
MEA type:
The MEA type denotes the types of arrangements are present on an invoice. In a single invoice, you can have the following MEA types:
  • none, where no revenue allocation occurs on the invoice
  • single, where all items on the invoice are included in the revenue allocation
  • multiple, where only items with a specific MEA ID are included in the revenue allocation
A single invoice can have more then one arrangement in which the revenue allocation occurs separately for each arrangement.
See also: Revenue Allocation.

Back to top

P

parallel table:
A parallel table is a table that complements a Microsoft Dynamics GP table by containing only the data for a record (most commonly for a transaction) for the specific Binary Stream program. When data is added to a record or a record is edited, the Microsoft Dynamics GP table is updated with data that originates in Microsoft Dynamics GP, and the parallel table is updated with data that is specific to the Binary Stream program.
Note icon. Note: If the Microsoft Dynamics GP table is updated through other ways, such as integrations, ensure that the parallel table is also updated.

Back to top

R

revenue allocation:
The process whereby the total amount for the arrangement is divided between items according to their proportion of the total fair value.
See also: Revenue Allocation.

Back to top

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Dialog

Use this window to view the following information:

  • Binary Stream head office address and support contact
  • Microsoft Dynamics GP version number
  • Microsoft SQL Server version number
  • List of installed Binary Stream programs and their information

Tip: To print a report about the Binary Stream programs that you have installed, select Print.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for Multiple Element Revenue Allocation

Welcome to the documentation for Multiple Element Revenue Allocation for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for MERA.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within MERA, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Import: Buttons

OK

Closes the window.

Process

Imports the data from the selected file.

After the process completes a log report showing the results of the import is generated.

Caution: When you import the fair value setup for items, the imported setups override any existing setup for the items.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Import: Fields

First Row is Column Headings

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.

File Path

Specify the path location or browse to the file that contains the data you want to import. Depending on the type of data you are importing, you can import a comma-delimited data (CSV file) or a spreadsheet. Required.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Setup: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the fair value setup for the items that you selected in the scrolling window.

Excel

Exports the currently displayed items to an Excel spreadsheet.

Import

Opens the Item Fair Value Import window.

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

Roll-down

Updates multiple items in the scrolling window with the same fair value settings. Select this button when you enter values for the Fair Value Method and Fair Value or Percentage boxes.

Save

Saves all changes made to all items in this window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Setup: Fields

Exclude Items with no Fair Value setup

Select to exclude items that do not have a fair value setup from appearing in the scrolling window. When you leave this check box cleared, all items appear in the scrolling window.

Fair Value

Specify the default fair value amount. The fair value amount must be a positive number. You can specify an amount when Fair Value Method is Amount. Complete this box if you plan to use the Roll-down button to update multiple items with the same fair value settings.

Fair Value Method

Select the default method in which fair value is to be calculated. Options are Amount, Sales Amount, List Price, or % of an Item. When Amount is selected, enter a Fair Value amount. When % of an Item is selected, enter a Percentage. When Sales Amount or List Price is selected, no addition information is required. for more information on these methods, see the description for the Revenue Allocation window

Complete this box if you plan to use the Roll-down button to update multiple items with the same fair value settings.

Percentage

Specify the default percentage used to calculate fair value. You can specify a percent when Fair Value Method is % of an Item. The percent value must be between 0 and 100%. Complete this box if you plan to use the Roll-down button to update multiple items with the same fair value settings.

Range by

Specify the range of records to display. Options are: Item Class, Item Number, and Item Type.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Scrolling Window

Fair Value

Specify the amount of the fair value for an item. You can change the amount when the Fair Value Method is Amount.

Fair Value Method

Select the method in which fair value is to be calculated. You can change this value.

Item Class

Displays the class for an item.

Item Description

Displays the description for the item.

Displays the item number.

Percentage

Specify the percent value used to calculate fair value for an item. You can change the percent when Fair Value Method is % of an Item. The percent value must be between 0 and 100%.

Sort By

Select a sorting order for the items displayed in the scrolling window. You can sort by:

  • Fair Value
  • Fair Value Method
  • Item Class
  • Item Description
  • Item Number
  • Order Entered
  • Percentage
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MEA ID Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MEA ID Maintenance: Fields

MEA ID

Specify a unique multiple element arrangement identifier. If a record is selected, displays the ID for the current record.

Deferred Contract Revenue Account

Specify the account you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created.

Available as of Microsoft Dynamics GP 2016 RTM andwhen Advanced Recurring Contract Billing is installed and used.

Termination Contract Clearing Account

Specify the account used to clear the balance in the contract revenue clearing account. This account is used after a billing schedule is terminated and no refund is issued. This General Ledger account (Termination Contract Clearing Account) must be created on the Account Maintenance window before you can specify it in this field.

Description

Specify a description of the template. If a record is selected, displays the description for the current record.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Fields

Deferral Rounding Account

Select the account you want to use for recording any rounding adjustments to a contract revenue amount. Available when Advanced Recurring Contract Billing is installed and used.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Audit History (ARCB): Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Audit History (ARCB): Fields

Deferral Contract Revenue Account

Available as of Microsoft Dynamics GP 2016 RTM.

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This default value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation. You can change the account as needed.

MEA ID

Displays the multiple element arrangement ID.

When the MEA Type is Multiple, this box can be empty.

MEA Type

Displays the multiple element arrangement transaction type for the items in the list view:

  • None: Indicates the transaction item is a "normal" item. The processing for this type of item is not affected by MERA functionality.
  • Single: Indicates all line items are part of the same multiple element arrangement.
  • Multiple: Indicates some line items are part of the multiple element arrangement, or if there is more than one arrangement. Each arrangement is calculated separately. Line items that are not part of an arrangement do not have a recognition amount calculated, and are equal to the Extended Price.

Schedule Description

Displays the description of the schedule from the Billing Schedule Maintenance window in ARCB window.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window in ARCB.

Scrolling Window

Various enhancements have been made to this scrolling window that are available as of Microsoft Dynamics GP 2016 RTM.

Billing Frequency

Displays the billing frequency of the line item. Read-only.

Contract FMV

Displays the contract fair market value, which is calculated by the Extended Fair Market Value * number of occurrence.

Contract Revenue

Displays the contract revenue, which is calculated as follows:

(Contract FMV of the line/Total Contract FMV of all the line items with same MEA) * Total Contract Value of all the line items with same MEA)

Contract Value

Displays the calculated contract value for the line item, calculated as follows: Extended price * number of occurrence.

Deferral Contract Revenue Account

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation.

Line items that are in the same group must have the same deferral contract revenue account. And when you change the account for one line, all lines within the same group are updated with the same account number.

Error Messages

Displays an error message for a line item that does not satisfy the criteria for the multiple element arrangement . If a line item has an error message, the invoice cannot be created until the error is resolved, or the line item is removed from the arrangement.

Extended Price

Displays the calculated extended price of the line item, which is calculated as follows Quantity * Unit Price. Read-only.

Fair Value

Displays the fair value for the line item. You can specify a different value based on the Fair Value Method selected.

Fair Value Method

The fair value method for the item.

  • Amount: The Fair Value can simply be any amount greater than zero. The amount is converted between the functional and originating currencies as needed.
  • Sales Amount: The Fair Value is the same value as the Extended Price for the line item, which applies for both functional and originating currency amounts.
    Note icon. Note: The sales amount method is not compatible with negative amounts because the Fair Value must be greater than zero.
  • List Price:The Fair Value comes from the List Price on the MERA Item Currency Maintenance window using functional or originating currency as needed.
  • % of an Item: The Fair Value is set using the MERA Item Fair Value Calculator window.
    Note icon. Note: Negative quantity line items result in a negative Extended Fair Value. A negative value is allowed and is handled by the calculation.

Include Check Box

Indicates that the MEA ID in the header is applied to the line item.

Line items that have the Renewal check box selected, have a meter attached, or are on hold cannot be part of the multiple element arrangement. Error messages for these situations appear in the scrolling window.

Item Number

Displays the number for the item. Read-only.

MEA ID

Displays the MEA ID for the item.

  • When the MEA Type is Single, the MEA ID is automatically entered from the MEA ID box in the header, and all items have the same MEA ID. You cannot change the MEA ID for the individual line items.
  • When the MEA Type is Multiple, you can edit the MEA ID. When you leave he MEA ID box in the header empty, you can change the MEA ID for each individual line as needed. As a result, some line items can have the same MEA ID, some with different MEA IDs, and some with no MEA ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Percentage of an Item Inquiry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Percentage of an Item Inquiry: Fields

Displays the item number.

Item Description

Displays the description for the item.

Default % of an Item

Displays the default percentage for the item.

MEA ID

Displays the multiple element allocation (MEA) ID for the billing schedule.

Schedule ID

Displays the billing schedule ID.

Schedule Description

Displays a description of the billing schedule.

Scrolling Window

Item Number

Displays the number for the item.

Item Description

Displays the description for the item.

Calculated Fair Value

Displays the calculated fair value based on the % of Fair Value. When % of Fair Value changes, this value is updated to reflect the percent change.

Fair Value

Displays the fair value for the item.

% of Fair Value

Displays the percent of fair value for the item.

MEA ID

Displays the MEA ID for the line.

Total

Displays the total Calculated Fair Value amount for all items that are selected in the scrolling window. This amount is updated to reflect changes to the Calculated Fair Value.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Calculator: Buttons

Cancel

Closes the window without updating the Fair Value amount on the Revenue Allocation window.

OK

Closes the window.

Roll-down

Rolls down the Default % of an Item to all items in the scrolling window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Fair Value Calculator: Fields

Displays the item number.

Item Description

Displays the description for the item.

Default % of an Item

Displays the default percentage for the item. This value is from the Item Fair Value Setup window, or is empty if a fair value setup does not exist. If you change this value or select Roll-down, the percentage is rolled down to all lines in the scrolling window .

Scrolling Window

Item Number

Displays the number for the item.

Item Description

Displays the description for the item.

Fair Value

Displays the fair value for the item.

% of Fair Value

Displays the percent of fair value for the item.

Calculated Fair Value

Displays the calculated fair value based on the % of Fair Value. When % of Fair Value changes, this value is updated to reflect the percent change.

Total

Displays the total Calculated Fair Value amount for all items that are selected in the scrolling window. This amount is updated to reflect changes to the Calculated Fair Value.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA Modifications (ARCB): Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA Modifications (ARCB): Fields

Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID.

List View

Double-clicking a line opens the Audit History window, where you can view the original amounts of the multiple element allocation (MEA) before the changes.

Date Modified

The date on which the billing schedule was modified.

Sequence

Displays the sequence number in which the change to the billing schedule occurred.

User Modified

The user ID who made the change.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Percentage of an Item: Buttons

Cancel

Closes the window without updating the Fair Value amount on the Revenue Allocation window in Advanced Recurring Contract Billing.

OK

Closes the window.

Roll-down

Rolls down the Default % of an Item to all items in the scrolling window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Percentage of an Item: Fields

Displays the item number.

Item Description

Displays the description for the item.

Default % of an Item

Displays the default percentage for the item. This value is from the Item Fair Value Setup window, or is empty if a fair value setup does not exist. If you change this value or select Roll-down, the percentage is rolled down to all lines in the scrolling window .

MEA ID

Displays the multiple element allocation (MEA) ID for the billing schedule.

Schedule ID

Displays the billing schedule ID.

Schedule Description

Displays a description of the billing schedule.

Scrolling Window

Displays the item number.

Item Description

Displays the description for the item.

Calculated Fair Value

Displays the calculated fair value based on the % of Fair Value. When % of Fair Value changes, this value is updated to reflect the percent change.

Fair Value

Displays the fair value for the item.

% of Fair Value

Displays the percent of fair value for the item.

MEA ID

Displays the MEA ID for the line.

Total

Displays the total Calculated Fair Value amount for all items that are selected in the scrolling window. This amount is updated to reflect changes to the Calculated Fair Value.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation (ARCB): Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

History

Opens the MERA Modifications window where you can review the list of changes to a billing schedule by date and user ID. Available as of Microsoft Dynamics GP 2016 RTM and when the MEA Type for a billing schedule is Single or Multiple.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation (ARCB): Fields

Deferral Contract Revenue Account

Available as of Microsoft Dynamics GP 2016 RTM.

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This default value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation. You can change the account as needed.

MEA ID

Specify the multiple element arrangement ID.

When the MEA Type is Multiple, you can leave this box empty. When you select the check box for a line item, you can use the MEA ID to put multiple line items in groups.

MEA Type

Select the multiple element arrangement transaction type for the items in the list view:

  • None: Select this type for a "normal" item. The processing for this type of item is not affected by MERA functionality.
    This option is useful if an item has been marked as MEA by mistake, and you want to return to normal sales transaction processing. When you change an item from another MEA type back to None, you are prompted to confirm the change.
  • Single: Select this type when the all line items are part of the same multiple element arrangement. When you select this option, the MEA ID box is available and requires a value. The MEA ID is automatically rolled down to all line items.
  • Multiple: Select this type when some line items are part of the multiple element arrangement, or if there is more than one arrangement. Each arrangement is calculated separately. Line items that are not part of an arrangement do not have a recognition amount calculated, and are equal to the Extended Price.
    When you select this option, the MEA ID box is available but does not require a value. The MEA ID is rolled down to only the line items that are selected in the scrolling window.
    In the scrolling window, you can edit the MEA ID, which controls which line items are part of arrangements.

Schedule Description

Displays the description of the schedule from the Billing Schedule Maintenance window in ARCB window.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window in ARCB.

Scrolling Window

Various enhancements have been made to this scrolling window that are available as of Microsoft Dynamics GP 2016 RTM.

Billing Frequency

Displays the billing frequency of the line item. Read-only.

Contract FMV

Displays the contract fair market value, which is calculated by the Extended Fair Market Value * number of occurrence.

Contract Revenue

Displays the contract revenue, which is calculated as follows:

(Contract FMV of the line/Total Contract FMV of all the line items with same MEA) * Total Contract Value of all the line items with same MEA)

Contract Value

Displays the calculated contract value for the line item, calculated as follows: Extended price * number of occurrence.

Deferral Contract Revenue Account

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation.

Line items that are in the same group must have the same deferral contract revenue account. And when you change the account for one line, all lines within the same group are updated with the same account number.

Error Messages

Displays an error message for a line item that does not satisfy the criteria for the multiple element arrangement . If a line item has an error message, the invoice cannot be created until the error is resolved, or the line item is removed from the arrangement.

Extended Price

Displays the calculated extended price of the line item, which is calculated as follows Quantity * Unit Price. Read-only.

Fair Value

Displays the fair value for the line item. You can specify a different value based on the Fair Value Method selected.

Fair Value Method

The fair value method for the item.

  • Amount: The Fair Value can simply be any amount greater than zero. The amount is converted between the functional and originating currencies as needed.
  • Sales Amount: The Fair Value is the same value as the Extended Price for the line item, which applies for both functional and originating currency amounts.
    Note icon. Note: The sales amount method is not compatible with negative amounts because the Fair Value must be greater than zero.
  • List Price:The Fair Value comes from the List Price on the MERA Item Currency Maintenance window using functional or originating currency as needed.
  • % of an Item: The Fair Value is set using the MERA Item Fair Value Calculator window.
    Note icon. Note: Negative quantity line items result in a negative Extended Fair Value. A negative value is allowed and is handled by the calculation.

Include Check Box

Select this check box to apply the MEA ID that is specified in the header to the selected line items. When MEA Type is single, this check box is cleared for all line items.

Line items that have the Renewal check box selected, have a meter attached, or are on hold cannot be part of the multiple element arrangement. Error messages for these situations appear in the scrolling window.

Item Number

Displays the number for the item. Read-only.

MEA ID

Displays the MEA ID for the item.

  • When the MEA Type is Single, the MEA ID is automatically entered from the MEA ID box in the header, and all items have the same MEA ID. You cannot change the MEA ID for the individual line items.
  • When the MEA Type is Multiple, you can edit the MEA ID. When you leave he MEA ID box in the header empty, you can change the MEA ID for each individual line as needed. As a result, some line items can have the same MEA ID, some with different MEA IDs, and some with no MEA ID.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation: Buttons

Calculator

Opens the Fair Value Calculator window.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation: Fields

MEA ID

Specify the multiple element arrangement ID that you want.

MEA Type

Select the multiple element arrangement transaction type for the items in the scrolling window:

  • None: Select this type for a "normal" sales transaction. The processing for this type of transaction is not affected by MERA functionality.
    This option is useful if a transaction has been marked as MEA by mistake, and you want to return to normal sales transaction processing. When you change a transaction from another MEA type back to None, you are prompted to confirm the change.
  • Single: Select this type when all line items on the sales transaction are part of the multiple element arrangement. When you select this option, the MEA ID box is available and requires a value. The MEA ID is automatically rolled down to all line items.
  • Multiple: Select this type when some line items on the sales transaction are part of the multiple element arrangement, or if there is more than one arrangement. Each arrangement is calculated separately. Line items that are not part of an arrangement do not have a recognition amount calculated, and are equal to the Extended Price.
    When you select this option, the MEA ID box is available but does not require a value. The MEA ID is rolled down to only the line items that are selected in the scrolling window.
    In the scrolling window, you can edit the MEA ID, which controls which line items are part of arrangements.

For both Single and Multiple MEA transaction types, the Fair Value Method and Fair Value have default values from the Item Fair Value Setup window. Before a transaction can be posted, values for Fair Value Method and Fair Value are required. Transactions can be saved with errors. You can check the Error Message column for any errors that you must correct before saving or posting the transaction.

Notes:

  • The fair value setup for an item is always in the functional currency of the system. When the default currency of a sales transaction is a non-functional currency, the fair value is converted using the multicurrency details on the sales transaction.
  • If MEA Type is Multiple, and you close the window without setting the MEA ID on a transaction, the MEA Type reverts to None.

Scrolling Window

Error Message

Displays any errors that must be corrected before the transaction is posted. You can save the transaction, but you cannot post it.

Extended Fair Value

Displays the extended fair value for the item.

Extended Price

Displays the extended price for an item.

Fair Value

Displays the fair value for the item. The value of this item depends on the Fair Value Method selected.

Displays the item number.

MEA ID

Displays the MEA ID for the item. When the MEA transaction type is Single, the MEA ID is automatically entered from the MEA ID box above the scrolling window. When the MEA transaction type is Multiple, you can edit the MEA ID.

Fair Value Method

The fair value method for the item.

  • Amount: The Fair Value can simply be any amount greater than zero. The amount is converted between the functional and originating currencies as needed.
  • Sales Amount: The Fair Value is the same value as the Extended Price for the line item, which applies for both functional and originating currency amounts.
    Note icon. Note: The sales amount method is not compatible with negative amounts because the Fair Value must be greater than zero.
  • List Price:The Fair Value comes from the List Price on the Item Currency Maintenance window using functional or originating currency as needed.
  • % of an Item: The Fair Value is set using the Item Fair Value Calculator window.
    Note icon. Note: Negative quantity line items result in a negative Extended Fair Value. A negative value is allowed and is handled by the calculation.

Recognition Amount

Displays the recognition amount that is calculated for an arrangement based on the following formulas:

  • Single MEA type

Where the Total Invoice Amount is net of any Trade Discount, which is shown on the Revenue Allocation window for clarity.

Note icon. Note: The extended price for all line items takes into account the net of any markdown amounts.

  • Multiple MEA type

Note icon. Note: The trade discount is not allowed for transactions where the MEA type is multiple. In other words, it is not possible to split the amount between arrangements, and the total recognition amount must equal the total invoice amount.

If a trade discount is present when a transaction is marked as a multiple MEA type, you are asked to clear the amount or cancel. If the transaction is already marked as a multiple MEA type, an error occurs if a trade discount is entered.

Revenue Amount

Shows the revenue amount from the sales return document after a billing schedule that uses the MERA functionality is terminated.

Trade Discount

Displays the trade discount amount, which is the same as on the Sales Transaction Entry window.

Total Extended Price

Displays the total sum of the Extended Price.

Total Recognition Amount

Displays the total sum of the Recognition Amount.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation Zoom: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation Zoom: Fields

MEA ID

Displays the multiple element arrangement ID for the item.

MEA Type

Displays the multiple element arrangement transaction type for the items in the scrolling window: None, Single, or Multiple.

SOP Type

Displays the type of SOP.

SOP Number

Displays the number for the SOP transaction.

Scrolling Window

Error Message

Displays any errors that must be corrected before the transaction is posted.

Extended Fair Value

Displays the extended fair value for the item.

Extended Price

Displays the extended price for an item.

Fair Value

Displays the fair value for the item. The value of this item depends on the Fair Value Method selected.

Displays the item number.

MEA ID

Displays the MEA ID for the item.

Fair Value Method

Displays the fair value method for the item: Amount, Sales Amount, List Price, or % of an Item.

Recognition Amount

Displays the recognition amount that is calculated for an arrangement.

Trade Discount

Displays the trade discount amount, which is the same as on the Sales Transaction Entry window.

Total Extended Price

Displays the total sum of the Extended Price.

Total Recognition Amount

Displays the total sum of the Recognition Amount.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.